package at.xaxa.ledger.data.db

import androidx.room.Embedded
import androidx.room.Relation
import at.xaxa.ledger.data.Entry
import java.util.Locale.Category

data class EntryCategoryRelation(
    @Embedded val category: Category,
    @Relation(
        parentColumn = "categoryName",
        entityColumn = "categoryName"
    )
    val entry: Entry
)